
Redmine - Defect #11148

Moving issues with sub issues between projects fails

2012-06-13 11:33 - Gibbet G

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.4.1

Description

Moving issues with sub issues between projects fails SILENTLY when a sub issue is using a tracker that is NOT present in the target

project.

When this fails there is no error message or error in log but the issue remains in the old project.

(This can be solved by changing sub issue to a tracker that is present in the target project or adding the tracker to the sub project.)

When moving issues with sub issues Redmine should:

a) change all sub issues to parent issue tracker? Or ask what to do with each sub issue?

b) fail with some message, not silently...

Related issues:

Related to Redmine - Patch #23888: Show an error message when changing an iss... Closed

History

#1 - 2012-12-04 18:42 - Hrobky Hrobky

+1

#2 - 2017-01-14 02:00 - Go MAEDA

- Related to Patch #23888: Show an error message when changing an issue's project fails due to errors in child issues added

#3 - 2017-01-14 02:02 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #23888 (Redmine 3.4.0).
